commit: 8dc5ae636eb8e06947f440ec7b30e1ac2b096fef
Author: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 9 01:12:48 2025 +0000
Commit: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Tue Dec 9 01:44:18 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8dc5ae63
dev-qt/qtserialbus: add 6.11.9999
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>
dev-qt/qtserialbus/qtserialbus-6.11.9999.ebuild | 38 +++++++++++++++++++++++++
1 file changed, 38 insertions(+)
diff --git a/dev-qt/qtserialbus/qtserialbus-6.11.9999.ebuild
b/dev-qt/qtserialbus/qtserialbus-6.11.9999.ebuild
new file mode 100644
index 000000000000..efd2ebfd5ca6
--- /dev/null
+++ b/dev-qt/qtserialbus/qtserialbus-6.11.9999.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qt6-build
+
+DESCRIPTION="Qt module to access CAN, ModBus, and other industrial serial
buses and protocols"
+
+if [[ ${QT6_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+RDEPEND="
+ ~dev-qt/qtbase-${PV}:6[network]
+ ~dev-qt/qtserialport-${PV}:6
+"
+DEPEND="${RDEPEND}"
+
+CMAKE_SKIP_TESTS=(
+ # rarely fails randomly (perhaps related to -j)
+ tst_qcandbcfileparser
+)
+
+src_install() {
+ qt6-build_src_install
+
+ if use test; then
+ local delete=( # sigh
+
"${D}${QT6_LIBDIR}"/cmake/Qt6SerialBus/*TestCanBusPlugin*.cmake
+
"${D}${QT6_MKSPECSDIR}"/modules/qt_plugin_qttestcanbus.pri
+ "${D}${QT6_PLUGINDIR}"/canbus/libqttestcanbus.*
+ "${D}${QT6_PLUGINDIR}"/canbus/objects-*/
+ )
+ # using -f given not tracking which tests may be skipped or not
+ rm -rf -- "${delete[@]}" || die
+ fi
+}